#
# NOTE:
# - exif headers should be included as <libexif/something.h>
#   so don't ,,fix'' pkgconfig file
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for parsing EXIF files from digital cameras
Summary(pl.UTF-8):	Biblioteka do czytania plików EXIF z kamer cyfrowych
Name:		libexif
Version:	0.6.21
Release:	1
Epoch:		1
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libexif/%{name}-%{version}.tar.bz2
# Source0-md5:	27339b89850f28c8f1c237f233e05b27
URL:		http://libexif.sourceforge.net/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	doxygen
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	libtool
Obsoletes:	libexif7
Obsoletes:	libmnote
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

%description -l pl.UTF-8
Większość kamer cyfrowych tworzy pliki EXIF, które są JPEGami z
dodatkowymi znacznikami zawierającymi informacje o obrazie. Biblioteka
EXIF pozwala czytać informacje z tych znaczników.

%package devel
Summary:	Header files for libexif
Summary(pl.UTF-8):	Pliki nagłówkowe dla libexif
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libexif7-devel
Obsoletes:	libmnote-devel

%description devel
Header files for libexif.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libexif.

%package static
Summary:	Static version of libexif
Summary(pl.UTF-8):	Statyczna wersja libexif
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	libmnote-static

%description static
Static version of libexif.

%description static -l pl.UTF-8
Statyczna wersja libexif.

%package apidocs
Summary:	libexif API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libexif
Group:		Documentation

%description apidocs
API and internal documentation for libexif library.

%description apidocs -l pl.UTF-8
Dokumentacja API oraz wewnętrzna dla biblioteki libexif.

%prep
%setup -q

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4m
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

# docs generation fails with -jN>1
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT{%{_docdir}/libexif,%{_libdir}/libexif.la}

%find_lang %{name}-12

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}-12.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libexif.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexif.so.12

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexif.so
%{_includedir}/%{name}
%{_pkgconfigdir}/%{name}.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libexif.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc doc/doxygen-output/libexif*
%changelog
* Sun Jul 15 2012 Kacper Kornet <draenog@pld-linux.org> 981b288
- up to 0.6.21; fixes CVE-2012-2812, CVE-2012-2813, CVE-2012-2814,
  CVE-2012-2836, CVE-2012-2837, CVE-2012-2840, CVE-2012-2841,
  CVE-2012-2845

* Mon Jun 25 2012 Tomasz Pala <gotar@pld-linux.org> 5a0af7b
- removed la file, rel. 2

* Fri Dec 17 2010 Caleb Maclennan <caleb@alerque.com> ae62aad
- Up to 0.6.20

* Sun Nov 15 2009 Jakub Bogusz <qboosh@pld-linux.org> a02d606
- updated to 0.6.19
- removed obsolete pl.po-update patch

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> e7e2cc2
- License is LGPL (v2+)

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 9f61253
- updated to 0.6.17
- updated pl.po-update patch
- removed obsolete ac,cve-2007-6351,cve-2007-6352 patches

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 7f02645
- updated for 0.6.17

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> b46137f
- obsolete

* Mon Dec 24 2007 Paweł Gołaszewski <blues@pld-linux.org> 45c938a
- rel.3 (rel. 2 for AC)

* Mon Dec 24 2007 Paweł Gołaszewski <blues@pld-linux.org> 46b545f
- rel.2 - patches from RH: CVE-2007-6351, CVE-2007-6352

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 352b40e
- updated to 0.6.16 (fixes CVE-2006-4168)
- updated pl.po-update patch

* Thu Jun 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 2609a03
- updated for 0.6.16

* Tue Jun 05 2007 Jakub Bogusz <qboosh@pld-linux.org> a9002ef
- CVE reference for 0.6.14

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 595895e
- updated am version

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 45ed2dc
- updated to 0.6.15
- updated pl.po-update patch

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 7df708f
- updated for 0.6.15

* Tue May 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 4a29299
- updated to 0.6.14 [fixes CVE-2007-2645]
- updated pl.po-update patch

* Tue May 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 87a10b6
- updated for 0.6.14

* Mon Apr 16 2007 Paweł Sikora <pluto@pld-linux.org> e024bf0
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 5.

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 182013d
- tabs in preamble

